%define        groupid 65009
%define        userid  65009
%define        majver %(echo %version | cut -d. -f 1-2)

Name:          postgresql
Version:       14.2
Release:       1mamba
Summary:       An object-relational database management system (ORDBMS)
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.postgresql.org
Source0:       https://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
Source1:       postgresql-initscript
Source2:       postgresql.service
Source3:       postgresql.tmpfiles
Patch0:        postgresql-13.1-run-socket.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libkrb5-devel
BuildRequires: libllvm-devel
BuildRequires: libopenldap-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libperl
BuildRequires: libpython3-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
BuildRequires: libtcl-devel
BuildRequires: libuuid-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: flex
Requires(pre): /usr/sbin/groupadd
Requires(pre): /usr/sbin/useradd
%systemd_requires
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
PostgreSQL is an open-source descendant of this original Berkeley code.
It provides SQL92/SQL99 language support and other modern features.

%package -n lib%{name}
Summary:       Devel files for PostgreSQL
Group:         System/Libraries

%description -n lib%{name}
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
This package contains the libraries used by postgresql.

%package -n lib%{name}-devel
Summary:       Devel files for PostgreSQL
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     %{name}-devel < 13.2

%description -n lib%{name}-devel
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
This package contains static libraries and header files needed for development.

%package server
Summary:       PostgreSQL DBMS server
Group:         System/Database
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-contrib = %{?epoch:%epoch:}%{version}-%{release}

%description server
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
PostgreSQL is an open-source descendant of this original Berkeley code.
It provides SQL92/SQL99 language support and other modern features.
This package provides the DBMS server.

%package tcltk
Summary:       PostgreSQL Tcl/Tk interface
Group:         Graphical Desktop/Applications/Databases
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tcltk
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
This package contains the Tcl/Tk interface.

%package       contrib
Summary:       Contributed source and binaries distributed with PostgreSQL
Group:         Applications/Databases
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description   contrib
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
The postgresql-contrib package contains contributed packages that are included in the PostgreSQL distribution.

%package        test
Summary:        The test suite distributed with PostgreSQL
Group:          Applications/Databases
Requires:       %{name}-server = %{?epoch:%epoch:}%{version}-%{release}

%description   test
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
The postgresql-test package includes the sources and pre-built binaries of various tests for the PostgreSQL database management system, including regression tests and benchmarks.

%package         docs
Summary:         Extra documentation for PostgreSQL
Group:           Documentation
Requires:        %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description     docs
PostgreSQL is an object-relational database management system (ORDBMS) based on POSTGRES, Version 4.2, developed at the University of California at Berkeley Computer Science Department.
The POSTGRES project, led by Professor Michael Stonebraker, was sponsored by the Defense Advanced Research Projects Agency (DARPA), the Army Research Office (ARO), the National Science Foundation (NSF), and ESL, Inc.
The postgresql-docs package includes some additional documentation for PostgreSQL.  Currently, this includes the main documentation in PDF format, the FAQ, and source files for the PostgreSQL tutorial.

%debug_package

%prep
%setup -q
%patch0 -p1

%build
%configure \
   --prefix=%{_prefix} \
   --mandir=%{_mandir} \
   --with-docdir=%{_datadir}/doc \
   --enable-nls \
   --disable-rpath \
   --with-pam \
   --with-openssl \
   --with-tcl \
   --with-python \
   --with-perl \
   --with-ldap \
   --with-krb5 \
   --with-gssapi \
   --with-libxslt \
   --with-llvm \
   --with-icu \
   --with-uuid=e2fs \
   --with-system-tzdata=/usr/share/zoneinfo \
   --with-libxml \
   --with-systemd \
   PYTHON=%{__python3}

#   --with-bonjour

%make
make %{?_smp_mflags} -C contrib all

# put correct path into tutorial scripts
sed "s|C=\`pwd\`;|C=%{_libdir}/postgresql/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
make %{?_smp_mflags}  -C src/tutorial NO_PGXS=1 all

rm -f src/tutorial/GNUmakefile

(cd src/test/regress
make all
)

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall
make -C contrib DESTDIR=%{buildroot} install

# tests.
mkdir -p %{buildroot}%{_libdir}/postgresql/test

cp -a src/test/regress %{buildroot}%{_libdir}/postgresql/test

install -m 0755 contrib/spi/refint.so %{buildroot}%{_libdir}/postgresql/test/regress
install -m 0755 contrib/spi/autoinc.so %{buildroot}%{_libdir}/postgresql/test/regress

(cd  %{buildroot}%{_libdir}/postgresql/test/regress
strip *.so
)

install -d -m 755 %{buildroot}%{_libdir}/postgresql/tutorial
cp src/tutorial/* %{buildroot}%{_libdir}/postgresql/tutorial

install -d %{buildroot}/var/lib/pgsql/data
install -D -m0755 %{SOURCE2} %{buildroot}%{_unitdir}/postgresql.service
install -D -m0755 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/postgresql.conf

%find_lang %{name} --with-qt --with-man --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre server
if [ $1 -eq 1 ]; then
   /usr/sbin/groupadd postgres -g %{groupid} 2>/dev/null
   /usr/sbin/useradd -u %{userid} -g postgres \
      -d /var/lib/pgsql/data -c 'PostgreSQL Server' \
      -s /bin/false postgres 2>/dev/null
fi
:

%post server
[ -e /var/lib/pgsql/data/PG_VERSION ] || su -s /bin/sh - postgres -c "%{_bindir}/initdb -D /var/lib/pgsql/data >/dev/null"
%tmpfiles_create named.conf
%systemd_post postgresql
:

%preun server
%systemd_preun postgresql
:

%postun server
%systemd_postun_with_restart postgresql
:

%posttrans
# clean broken old sysv links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clusterdb
%{_bindir}/create*
%{_bindir}/drop*
%{_bindir}/init*
#%{_bindir}/ipcclean
%{_bindir}/pg_*
%{_bindir}/psql
%{_bindir}/reindexdb
%{_bindir}/vacuumdb
%dir %{_datadir}/doc/postgresql
%{_datadir}/doc/postgresql/*
#%{_mandir}/man1/*
%doc COPYRIGHT

%files server
%defattr(-,root,root)
%{_bindir}/postmaster
%{_bindir}/postgres
%{_unitdir}/postgresql.service
%{_tmpfilesdir}/postgresql.conf
%dir %dir %{_localstatedir}/lib/pgsql
%attr(700,postgres,root) %dir %{_localstatedir}/lib/pgsql/data

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/*.so.*
%dir %{_libdir}/postgresql
%{_libdir}/postgresql/*.so
%{_libdir}/postgresql/llvmjit_types.bc
%exclude %{_libdir}/postgresql/_int.so
%exclude %{_libdir}/postgresql/adminpack.so
%exclude %{_libdir}/postgresql/autoinc.so
%exclude %{_libdir}/postgresql/btree_gist.so
%exclude %{_libdir}/postgresql/cube.so
%exclude %{_libdir}/postgresql/dblink.so
%exclude %{_libdir}/postgresql/dict_int.so
%exclude %{_libdir}/postgresql/dict_xsyn.so
%exclude %{_libdir}/postgresql/earthdistance.so
%exclude %{_libdir}/postgresql/fuzzystrmatch.so
%exclude %{_libdir}/postgresql/hstore.so
%exclude %{_libdir}/postgresql/insert_username.so
%exclude %{_libdir}/postgresql/isn.so
%exclude %{_libdir}/postgresql/lo.so
%exclude %{_libdir}/postgresql/ltree.so
%exclude %{_libdir}/postgresql/moddatetime.so
%exclude %{_libdir}/postgresql/pageinspect.so
%exclude %{_libdir}/postgresql/pg_buffercache.so
%exclude %{_libdir}/postgresql/pg_freespacemap.so
%exclude %{_libdir}/postgresql/pg_trgm.so
%exclude %{_libdir}/postgresql/pgcrypto.so
%exclude %{_libdir}/postgresql/pgrowlocks.so
%exclude %{_libdir}/postgresql/pgstattuple.so
%exclude %{_libdir}/postgresql/refint.so
%exclude %{_libdir}/postgresql/seg.so
%exclude %{_libdir}/postgresql/sslinfo.so
%exclude %{_libdir}/postgresql/tablefunc.so
%dir %{_libdir}/postgresql/bitcode
%{_libdir}/postgresql/bitcode/*
%{_datadir}/postgresql/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/ecpg
%dir %{_includedir}/postgresql
%{_includedir}/postgresql/*
%dir %{_includedir}/libpq
%{_includedir}/libpq/*
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/postgresql/pgxs/config/*
%{_libdir}/postgresql/pgxs/src/*
%{_libdir}/pkgconfig/libecpg.pc
%{_libdir}/pkgconfig/libecpg_compat.pc
%{_libdir}/pkgconfig/libpgtypes.pc
%{_libdir}/pkgconfig/libpq.pc
%doc HISTORY INSTALL README

#%files tcltk
#%defattr(-,root,root)
#%{_bindir}/pltcl_*
#%{_bindir}/pgtclsh
#%{_bindir}/pgtksh

%files contrib
%defattr(-,root,root)
%{_libdir}/postgresql/_int.so
%{_libdir}/postgresql/adminpack.so
%{_libdir}/postgresql/autoinc.so
%{_libdir}/postgresql/btree_gist.so
%{_libdir}/postgresql/cube.so
%{_libdir}/postgresql/dblink.so
%{_libdir}/postgresql/dict_int.so
%{_libdir}/postgresql/dict_xsyn.so
%{_libdir}/postgresql/earthdistance.so
%{_libdir}/postgresql/fuzzystrmatch.so
%{_libdir}/postgresql/hstore.so
%{_libdir}/postgresql/insert_username.so
%{_libdir}/postgresql/isn.so
%{_libdir}/postgresql/lo.so
%{_libdir}/postgresql/ltree.so
%{_libdir}/postgresql/moddatetime.so
%{_libdir}/postgresql/pageinspect.so
%{_libdir}/postgresql/pg_buffercache.so
%{_libdir}/postgresql/pg_freespacemap.so
%{_libdir}/postgresql/pg_trgm.so
%{_libdir}/postgresql/pgcrypto.so
%{_libdir}/postgresql/pgrowlocks.so
%{_libdir}/postgresql/pgstattuple.so
%{_libdir}/postgresql/refint.so
%{_libdir}/postgresql/seg.so
%{_libdir}/postgresql/sslinfo.so
%{_libdir}/postgresql/tablefunc.so
%{_bindir}/oid2name
%{_bindir}/pgbench
%{_bindir}/vacuumlo

%files test
%defattr(-,postgres,postgres)
%attr(-,postgres,postgres) %{_libdir}/postgresql/test/*
%attr(-,postgres,postgres) %dir %{_libdir}/postgresql/test

%files docs
%defattr(-,root,root)
#%doc doc/src/sgml
#%doc %{name}-%{majver}-US.pdf
%dir %{_libdir}/postgresql/tutorial
%{_libdir}/postgresql/tutorial/*

%changelog
* Fri Feb 11 2022 Automatic Build System <autodist@mambasoft.it> 14.2-1mamba
- automatic version update by autodist

* Thu Nov 11 2021 Automatic Build System <autodist@mambasoft.it> 14.1-1mamba
- automatic version update by autodist

* Fri Oct 01 2021 Automatic Build System <autodist@mambasoft.it> 14.0-1mamba
- automatic version update by autodist

* Thu Aug 12 2021 Automatic Build System <autodist@mambasoft.it> 13.4-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 13.3-1mamba
- automatic version update by autodist

* Mon Mar 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 13.2-2mamba
- move pg_config from devel to main package
- postgresql-server: require postgresql-contrib

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 13.2-1mamba
- automatic version update by autodist

* Sun Jan 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 13.1-2mamba
- rebuilt with systemd support

* Fri Nov 13 2020 Automatic Build System <autodist@mambasoft.it> 13.1-1mamba
- automatic version update by autodist

* Thu Sep 24 2020 Automatic Build System <autodist@mambasoft.it> 13.0-1mamba
- automatic version update by autodist

* Thu Aug 13 2020 Automatic Build System <autodist@mambasoft.it> 12.4-1mamba
- automatic version update by autodist

* Thu May 14 2020 Automatic Build System <autodist@mambasoft.it> 12.3-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 12.2-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 12.1-1mamba
- automatic version update by autodist

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 12.0-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Automatic Build System <autodist@mambasoft.it> 11.5-1mamba
- automatic version update by autodist

* Fri Jun 21 2019 Automatic Build System <autodist@mambasoft.it> 11.4-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 11.3-1mamba
- automatic version update by autodist

* Fri Feb 15 2019 Automatic Build System <autodist@mambasoft.it> 11.2-1mamba
- automatic version update by autodist

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 11.1-1mamba
- automatic version update by autodist

* Thu Aug 23 2018 Automatic Build System <autodist@mambasoft.it> 10.5-1mamba
- automatic version update by autodist

* Thu Mar 01 2018 Automatic Build System <autodist@mambasoft.it> 10.3-1mamba
- automatic version update by autodist

* Thu Feb 08 2018 Automatic Build System <autodist@mambasoft.it> 10.2-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 10.1-1mamba
- automatic version update by autodist

* Thu Sep 07 2017 Automatic Build System <autodist@mambasoft.it> 9.6.5-1mamba
- automatic version update by autodist

* Thu Aug 24 2017 Automatic Build System <autodist@mambasoft.it> 9.6.4-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 9.6.3-1mamba
- automatic version update by autodist

* Fri Oct 28 2016 Automatic Build System <autodist@mambasoft.it> 9.6.1-1mamba
- automatic version update by autodist

* Fri Sep 30 2016 Automatic Build System <autodist@mambasoft.it> 9.6.0-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 9.5.4-1mamba
- automatic version update by autodist

* Thu May 12 2016 Automatic Build System <autodist@mambasoft.it> 9.5.3-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 9.5.2-1mamba
- automatic version update by autodist

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 9.5.1-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Automatic Build System <autodist@mambasoft.it> 9.5.0-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 9.4.5-1mamba
- automatic version update by autodist

* Fri Jun 12 2015 Automatic Build System <autodist@mambasoft.it> 9.4.4-1mamba
- automatic version update by autodist

* Fri Jun 05 2015 Automatic Build System <autodist@mambasoft.it> 9.4.3-1mamba
- automatic version update by autodist

* Fri May 22 2015 Automatic Build System <autodist@mambasoft.it> 9.4.2-1mamba
- automatic version update by autodist

* Mon Mar 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 9.4.1-1mamba
- update to 9.4.1

* Fri Dec 19 2014 Automatic Build System <autodist@mambasoft.it> 9.4.0-1mamba
- automatic version update by autodist

* Thu Jul 24 2014 Automatic Build System <autodist@mambasoft.it> 9.3.5-1mamba
- automatic version update by autodist

* Thu Mar 20 2014 Automatic Build System <autodist@mambasoft.it> 9.3.4-1mamba
- automatic version update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 9.3.3-1mamba
- automatic version update by autodist

* Fri Dec 06 2013 Automatic Build System <autodist@mambasoft.it> 9.3.2-1mamba
- automatic version update by autodist

* Sat Oct 12 2013 Automatic Build System <autodist@mambasoft.it> 9.3.1-1mamba
- automatic version update by autodist

* Tue Sep 17 2013 Automatic Build System <autodist@mambasoft.it> 9.3.0-1mamba
- automatic version update by autodist

* Sat Jun 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 9.2.4-2mamba
- python 2.7 mass rebuild

* Thu Apr 04 2013 Automatic Build System <autodist@mambasoft.it> 9.2.4-1mamba
- automatic version update by autodist

* Thu Feb 07 2013 Automatic Build System <autodist@mambasoft.it> 9.2.3-1mamba
- automatic version update by autodist

* Thu Dec 06 2012 Automatic Build System <autodist@mambasoft.it> 9.2.2-1mamba
- automatic version update by autodist

* Mon Sep 24 2012 Automatic Build System <autodist@mambasoft.it> 9.2.1-1mamba
- automatic version update by autodist

* Mon Sep 10 2012 Automatic Build System <autodist@mambasoft.it> 9.2.0-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 9.1.5-1mamba
- automatic version update by autodist

* Mon Jun 04 2012 Automatic Build System <autodist@mambasoft.it> 9.1.4-1mamba
- automatic version update by autodist

* Sun Apr 15 2012 Automatic Build System <autodist@mambasoft.it> 9.1.3-1mamba
- automatic version update by autodist

* Tue Dec 06 2011 Automatic Build System <autodist@mambasoft.it> 9.1.2-1mamba
- automatic version update by autodist

* Mon Sep 26 2011 Automatic Build System <autodist@mambasoft.it> 9.1.1-1mamba
- automatic version update by autodist

* Sun Sep 11 2011 Automatic Build System <autodist@mambasoft.it> 9.1.0-1mamba
- automatic version update by autodist

* Sun Apr 17 2011 Automatic Build System <autodist@mambasoft.it> 9.0.4-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 9.0.3-1mamba
- automatic update by autodist

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 9.0.2-1mamba
- automatic update to 9.0.2 by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic update to 9.0.1 by autodist

* Mon Sep 27 2010 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic update by autodist

* Fri Jul 09 2010 Davide Madrisan <davide.madrisan@gmail.com> 8.4.4-2mamba
- move %{_bindir}/pg_config and %{_bindir}/ecpg to lib%{name}-devel

* Sun May 16 2010 Automatic Build System <autodist@mambasoft.it> 8.4.4-1mamba
- automatic update to 8.4.4 by autodist

* Mon Mar 15 2010 Automatic Build System <autodist@mambasoft.it> 8.4.3-1mamba
- automatic update to 8.4.3 by autodist

* Tue Feb 02 2010 Automatic Build System <autodist@mambasoft.it> 8.4.2-2mamba
- automatic rebuild by autodist

* Mon Dec 14 2009 Automatic Build System <autodist@mambasoft.it> 8.4.2-1mamba
- automatic update to 8.4.2 by autodist

* Sat Sep 26 2009 Automatic Build System <autodist@mambasoft.it> 8.4.1-1mamba
- automatic update to 8.4.1 by autodist

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 8.4.0-1mamba
- update to 8.4.0

* Tue Mar 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.3.7-1mamba
- automatic update to 8.3.7 by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 8.3.6-1mamba
- automatic update to 8.3.6 by autodist

* Fri Nov 07 2008 gil <puntogil@libero.it> 8.3.5-2mamba
- added packages: contrib, test, docs

* Thu Nov 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 8.3.5-1mamba
- automatic update to 8.3.5 by autodist

* Tue Oct 28 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 8.3.4-1mamba
- automatic update to 8.3.4 by autodist

* Sat Jun 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.17-1mamba
- update to 7.4.17
- libpostgresql: remove requirement for postgresql

* Tue Mar 07 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.12-1qilnx
- update to version 7.4.12 by autospec
- fixed rpm group names
- added package libpostgresql

* Mon Dec 19 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 7.4.10-1qilnx
- update to version 7.4.10 by autospec
- changed license to BSD

* Fri May 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.8-1qilnx
- update to version 7.4.8 by autospec
- fixed a database initialization error (permission on /var/pgsql/data)

* Wed Feb 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 7.4.7-1qilnx
- update to version 7.4.7 (patch release) by autospec
- also fixes several security issues: QSA-2005-017 (CAN-2004-0977,
  CAN-2005-024[4,5,6,7]), see HISTORY file
- enabled localization
- added missing buildrequirements
- added copyright file in the documentation
- various specfile updates

* Tue Nov 21 2003 Silvan Calarco <silvan.calarco@qinet.it> 7.4-2qilnx
- renamed a header file conflicting with libodbc (/usr/include/sqltypes.h)

* Tue Nov 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 7.4-1qilnx
- new version rebuild
- added QiLinux official userid (>65000)

* Fri Jul 18 2003 Silvan Calarco <silvan.calarco@qinet.it> 7.3.3-2qilnx
- added make install-all-headers to install server headers

* Thu Jul 17 2003 Silvan Calarco <silvan.calarco@qinet.it> 7.3.3-1qilnx
- first build for PostgreSQL
